Package com.verisign.epp.codec.nameWatch

## Class EPPNameWatchRenewResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.nameWatch.EPPNameWatchRenewResp

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPNameWatchRenewResp
      extends EPPResponse

  Represents an EPP NameWatch <nameWatch:renData> response to a `EPPNameWatchRenewCmd`. When a <renew> command has been processed successfully, the EPP <resData> element MUST contain a child <nameWatch:renData> element that identifies the nameWatch namespace and the location of the nameWatch schema. The <nameWatch:name> element contains the following child elements:
  - A <nameWatch:roid> element that contains the fully qualified nameWatch roid that has been created or whose validity period has been extended. Use `getRoid` and `setRoid` to get and set the element.
  - An OPTIONAL <nameWatch:exDate> element that contains the end of the nameWatch's validity period. Use `getExpirationDate` and `setExpirationDate` to get and set the element.
  See Also:
    `EPPNameWatchRenewCmd`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `ELM_EXTENSION, ELM_MESSAGE_QUEUE, ELM_MESSAGE_QUEUE_QDATE, ELM_RESPONSE_DATA, extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPNameWatchRenewResp()` | `EPPNameWatchRenewResp` default constructor.
    `EPPNameWatchRenewResp​(EPPTransId aTransId, java.lang.String aRoid)` | `EPPNameWatchRenewResp` constructor that takes the required attribute values as parameters.
    `EPPNameWatchRenewResp​(EPPTransId aTransId, java.lang.String aRoid, java.util.Date aExpirationDate)` | `EPPNameWatchRenewResp` constructor that takes the required attribute values as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPNameWatchRenewResp`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPNameWatchRenewResp` attributes from the `aElement` DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPNameWatchRenewResp` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPNameWatchRenewResp` with this instance.
    `java.util.Date` | `getExpirationDate()` | Gets the expiration date and time of the nameWatch.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPNameWatchRenewResp`.
    `java.lang.String` | `getRoid()` | Gets the nameWatch roid
    `java.lang.String` | `getType()` | Gets the EPP command type associated with `EPPNameWatchRenewResp`.
    `void` | `setExpirationDate​(java.util.Date aExpirationDate)` | Sets the expiration date and time of the nameWatch.
    `void` | `setRoid​(java.lang.String aRoid)` | Sets the nameWatch roid.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPNameWatchRenewResp

          public EPPNameWatchRenewResp()

      `EPPNameWatchRenewResp` default constructor. Must call required setter methods before encode. the defaults include the following:
      - name is set to `null`
      - expiration date is set to `null`
      The name must be set before invoking `encode`.

    - #### EPPNameWatchRenewResp

          public EPPNameWatchRenewResp​(EPPTransId aTransId,
                                       java.lang.String aRoid)

      `EPPNameWatchRenewResp` constructor that takes the required attribute values as parameters.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aRoid` - NameWatch roid

    - #### EPPNameWatchRenewResp

          public EPPNameWatchRenewResp​(EPPTransId aTransId,
                                       java.lang.String aRoid,
                                       java.util.Date aExpirationDate)

      `EPPNameWatchRenewResp` constructor that takes the required attribute values as parameters.
      Parameters:
        `aTransId` - transaction Id associated with response.
        `aRoid` - nameWatch roid
        `aExpirationDate` - expiration date of the nameWatch

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the EPP command type associated with `EPPNameWatchRenewResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPNameWatchRenewResp.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPNameWatchRenewResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPNameWatchMapFactory.NS`

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPNameWatchRenewResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameWatchRenewResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPNameWatchRenewResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getRoid

          public java.lang.String getRoid()

      Gets the nameWatch roid
      Returns:
        NameWatch Roid `String` instance if defined; `null` otherwise.

    - #### setRoid

          public void setRoid​(java.lang.String aRoid)

      Sets the nameWatch roid.
      Parameters:
        `aRoid` - NameWatch Roid

    - #### getExpirationDate

          public java.util.Date getExpirationDate()

      Gets the expiration date and time of the nameWatch.
      Returns:
        Expiration date and time of the nameWatch if defined; `null` otherwise.

    - #### setExpirationDate

          public void setExpirationDate​(java.util.Date aExpirationDate)

      Sets the expiration date and time of the nameWatch.
      Parameters:
        `aExpirationDate` - Expiration date and time of the nameWatch.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameWatchRenewResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPNameWatchRenewResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameWatchRenewResp` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPNameWatchRenewResp` attributes from the `aElement` DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameWatchRenewResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode `aElement`